# Set the directory to search; change this path as needed
$directory = Get-Location

# Get all JSON files starting with "A_ONE"
$files = Get-ChildItem -Path $directory -Filter "A_ONE*.json" -File

foreach ($file in $files) {
    # Read all lines of the current file
    $lines = Get-Content -Path $file.FullName

    # Check if the file has at least 261 lines
    if ($lines.Count -ge 261) {
        # Capture the indentation of the original line 261
        $originalLine = $lines[260]
        if ($originalLine -match '^(\s*)') {
            $indentation = $matches[1]
        } else {
            $indentation = ""
        }

        # Replace line 261 with the new value, keeping indentation
        $lines[260] = "$indentation""Value"": 900.500,"
        
        # Write the updated content back to the file
        $lines | Set-Content -Path $file.FullName -Encoding utf8
        Write-Host "Updated file: $($file.Name)"
    } else {
        Write-Host "Skipped file (less than 261 lines): $($file.Name)"
    }
}
